javax.swing.text

## Class LayeredHighlighter

- java.lang.Object
- - javax.swing.text.LayeredHighlighter

All Implemented Interfaces:
  Highlighter

Direct Known Subclasses:
  DefaultHighlighter

    public abstract class LayeredHighlighter
    extends Object
    implements Highlighter

See Also:
  `Highlighter`

### Nested Class Summary

Nested Classes
`static class` `LayeredHighlighter.LayerPainter` Layered highlight renderer.

### Nested classes/interfaces inherited from interface javax.swing.text.Highlighter

`Highlighter.Highlight, Highlighter.HighlightPainter`

### Constructor Summary

Constructors
Constructor and Description
`LayeredHighlighter()`

### Method Summary

Methods
`abstract void` `paintLayeredHighlights(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)` When leaf Views (such as LabelView) are rendering they should call into this method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.text.Highlighter

`addHighlight, changeHighlight, deinstall, getHighlights, install, paint, removeAllHighlights, removeHighlight`

### Constructor Detail

#### LayeredHighlighter

    public LayeredHighlighter()

### Method Detail

#### paintLayeredHighlights

    public abstract void paintLayeredHighlights(Graphics g,
                              int p0,
                              int p1,
                              Shape viewBounds,
                              JTextComponent editor,
                              View view)

When leaf Views (such as LabelView) are rendering they should call into this method. If a highlight is in the given region it will be drawn immediately.

Parameters:
  `g` - Graphics used to draw
  `p0` - starting offset of view
  `p1` - ending offset of view
  `viewBounds` - Bounds of View
  `editor` - JTextComponent
  `view` - View instance being rendered

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.